module Luma
   class Provider < Connection
      PROVIDER_ENDPOINT = '/api/providers'.freeze

      base_uri 'https://api.lumahealth.io/'.freeze

      def create_provider(endpoint: PROVIDER_ENDPOINT, name: "", npi: nil, headers: {}, auth: true, verb: :post)
         @body = {
            name: name,
            npi: npi
         }

         self.add_headers_and_body if auth

         result = self.class.send(verb.to_s, endpoint, body: @body, headers: @headers, debug_output: $stdout)
         { result: result, headers: @headers }
      end
   end
end